=== keymaps/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = 
exec_prefix = ${prefix}

bindir = ${prefix}/usr/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/usr/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/usr/share/info
mandir = ${prefix}/usr/share/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/xkeysw
pkglibdir = $(libdir)/xkeysw
pkgincludedir = $(includedir)/xkeysw
top_builddir = ..

ACLOCAL = ${SHELL} /home/dima/xkeysw-1.0/missing --run aclocal
AUTOCONF = ${SHELL} /home/dima/xkeysw-1.0/missing --run autoconf
AUTOMAKE = ${SHELL} /home/dima/xkeysw-1.0/missing --run automake
AUTOHEADER = ${SHELL} /home/dima/xkeysw-1.0/missing --run autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
AMTAR = ${SHELL} /home/dima/xkeysw-1.0/missing --run tar
AWK = mawk
CC = gcc
DEPDIR = .deps
EXEEXT = 
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LEX = flex
M4 = /usr/bin/m4
OBJEXT = o
PACKAGE = xkeysw
VERSION = 1.1
X_CFLAGS =  -I/usr/X11R6/include
X_EXTRA_LIBS = 
X_LIBS =  -L/usr/X11R6/lib
X_PRE_LIBS =  -lSM -lICE
YACC = bison -y
am__include = include
am__quote = 
install_sh = /home/dima/xkeysw-1.0/install-sh

XMM_RESOURCES = jcuken-cp866.xmm jcuken-iso5.xmm yawerty-cyr.xmm\
 jcuken-cp1251.xmm jcuken-koi8.xmm yawerty-iso5.xmm jcuken-cyr.xmm\
 yawerty-cp866.xmm yawerty-koi8.xmm yawerty-cp1251.xmm


RC_RESOURCES = jcuken-cp866.rc jcuken-iso5.rc yawerty-cyr.rc\
 jcuken-cp1251.rc jcuken-koi8.rc yawerty-iso5.rc jcuken-cyr.rc\
 yawerty-cp866.rc yawerty-koi8.rc yawerty-cp1251.rc


pkgdata_DATA = $(XMM_RESOURCES) $(RC_RESOURCES)

LAYOUTS_CODES = jcuken-cp866.m4 jcuken-cp1251.m4 jcuken-cyr.m4 jcuken-iso5.m4\
 jcuken-koi8.m4 yawerty-cp866.m4 yawerty-cp1251.m4 yawerty-cyr.m4\
 yawerty-iso5.m4 yawerty-koi8.m4


LAYOUTS_AND_CODES = misc.m4 notice.m4 clear.m4 jcuken.m4 yawerty.m4\
 cp866.m4 cp1251.m4 iso5.m4 koi8.m4


EXTRA_DIST = $(pkgdata_DATA) $(LAYOUTS_AND_CODES) README.keymaps code-layout.sh

MAINTAINERCLEANFILES = $(pkgdata_DATA) Makefile.in *-*.m4

CLEANFILES = *~
subdir = keymaps
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
DIST_SOURCES =
DATA = $(pkgdata_DATA)

DIST_COMMON = Makefile.am Makefile.in
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  keymaps/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status
uninstall-info-am:
install-pkgdataDATA: $(pkgdata_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)
	@list='$(pkgdata_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(pkgdatadir)/$$f"; \
	  $(INSTALL_DATA) $$d$$p $(DESTDIR)$(pkgdatadir)/$$f; \
	done

uninstall-pkgdataDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(pkgdata_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(pkgdatadir)/$$f"; \
	  rm -f $(DESTDIR)$(pkgdatadir)/$$f; \
	done
tags: TAGS
TAGS:


DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  if test -f $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    $(mkinstalldirs) "$(distdir)/$$dir"; \
	  fi; \
	  if test -d $$d/$$file; then \
	    cp -pR $$d/$$file $(distdir) \
	    || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am: install-pkgdataDATA

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

uninstall-am: uninstall-info-am uninstall-pkgdataDATA

.PHONY: all all-am check check-am clean clean-generic distclean \
	distclean-generic distdir dvi dvi-am info info-am install \
	install-am install-data install-data-am install-exec \
	install-exec-am install-info install-info-am install-man \
	install-pkgdataDATA install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-generic uninstall uninstall-am \
	uninstall-info-am uninstall-pkgdataDATA


%.xmm: %.m4
	$(M4) $< > $@

%.rc: %.m4
	echo "keymap " $(basename $@) " = {" > $@
	$(M4) $< >> $@
	echo "}" >> $@

jcuken-cp866.xmm jcuken-cp866.rc:   jcuken-cp866.m4   jcuken.m4  cp866.m4
jcuken-cp1251.xmm jcuken-cp1251.rc:  jcuken-cp1251.m4  jcuken.m4  cp1251.m4
jcuken-cyr.xmm jcuken-cyr.rc:     jcuken-cyr.m4     jcuken.m4  
jcuken-iso5.xmm jcuken-iso5.rc:    jcuken-iso5.m4    jcuken.m4  iso5.m4
jcuken-koi8.xmm jcuken-koi8.rc:    jcuken-koi8.m4    jcuken.m4  koi8.m4
yawerty-cp866.xmm yawerty-cp866.rc:  yawerty-cp866.m4  yawerty.m4 cp866.m4
yawerty-cp1251.xmm yawerty-cp1251.rc: yawerty-cp1251.m4 yawerty.m4 cp1251.m4
yawerty-cyr.xmm yawerty-cyr.rc:    yawerty-cyr.m4    yawerty.m4
yawerty-iso5.xmm yawerty-iso5.rc:   yawerty-iso5.m4   yawerty.m4 iso5.m4
yawerty-koi8.xmm yawerty-koi8.rc:   yawerty-koi8.m4   yawerty.m4 koi8.m4  

$(LAYOUTS_CODES): $(LAYOUTS_AND_CODES)
	$(srcdir)/code-layout.sh

$(pkgdata_DATA): misc.m4 notice.m4 clear.m4
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
