=== debian/changelog ===
xkeysw (1.1-1.2) unstable; urgency=low

  * NMU.
  * Update depends for pygtk transition (closes: #208128).
  * Update package description (closes: #161935).
  * Build depend on autotools-dev, update config.{sub,guess} (closes: #208402).

 -- Matthias Klose <doko@debian.org>  Thu, 25 Sep 2003 21:15:10 +0200

xkeysw (1.1-1.1) unstable; urgency=low

   * Non-maintainer upload according to the release manager's plan.
   * Bump automake version to 1.7 thanks to Artur R. Czechowski 
     (closes: #205993)
   * Remove config.log
   * Bump Standards version 
   * Remove CVS directory
   * Automaticaly update config.{guess|sub}

 -- Pierre Machard <pmachard@debian.org>  Tue,  2 Sep 2003 16:45:52 +0200

xkeysw (1.1-1) unstable; urgency=low

  * Added support for modifiers in hotkey
  * Added description of known restrictions into man page
  * Added two packages for xkeysw configuration via GUI
  * Added signal handler for SIGPIPE
  * Fixed layout switching when a window is killed.

 -- Dima Barsky <dima@debian.org>  Thu,  8 Aug 2002 13:12:35 +0100

xkeysw (1.0-3) unstable; urgency=low

  * Changed the description string (Closes: #113267)

 -- Dima Barsky <dima@debian.org>  Fri, 29 Mar 2002 20:04:16 +0000

xkeysw (1.0-2) unstable; urgency=low

  * Added build dependency on flex and bison (Closes: #112936)

 -- Dima Barsky <dima@debian.org>  Thu, 20 Sep 2001 16:11:12 +0100

xkeysw (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Dima Barsky <dima@debian.org>  Mon, 18 Jun 2001 22:53:37 +0100
