=== debian/control ===
Source: xkeysw
Section: x11
Priority: optional
Maintainer: Dima Barsky <dima@debian.org>
Build-Depends: debhelper (>= 4), automake1.7, m4 (>> 1.4), autoconf (>>2.50), xlibs-dev, flex, bison, autotools-dev
Standards-Version: 3.6.0

Package: xkeysw
Architecture: any
Depends: ${shlibs:Depends}
Description: A keyboard layout switch for the X Window System
 A GUI tool to generate and edit the configuration file for xkeysw,
 a keyboard layout switch for the X Window System.
 .
 Its main features are: 
 .
  - Per-window switching. You can have distinct layouts in individual windows.
  - Unlimited number of layouts.
  - Flexible switching. Any layout can have its own "hot keys" for
    switching to other layouts.

Package: xkeysw-config
Architecture: any
Depends: python (>= 2.3), python (<< 2.4), python-gtk-1.2, python-glade-1.2 (>= 0.6.9), python-xlib
Recommends: xkeysw
Description: xkeysw configurator
 A GUI tool to generate and edit the configuration file for xkeysw,
 a keyboard layout switch for the X Window System.
 .
 See the xkeysw description for more information.
