=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	cp -p /usr/share/misc/config.sub .
	cp -p /usr/share/misc/config.guess .
	./makeconfig
	./configure --prefix= --mandir=\$${prefix}/usr/share/man --infodir=\$${prefix}/usr/share/info --datadir=\$${prefix}/usr/share --bindir=\$${prefix}/usr/bin

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/xkeysw.sgml > xkeysw.1

	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp configure-stamp config.cache config.status
	rm -f config.log

	# Add here commands to clean up after the build process.
	-$(MAKE) maintainer-clean

	rm -f config.sub config.guess

	dh_clean

install: build
	dh_testdir
	dh_clean -k
	dh_installdirs -v

	# Add here commands to install the packages into destenations.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	dh_install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
	dh_undocumented -pxkeysw-config xkeysw-config.1
	dh_installchangelogs
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
