=== debian/changelog ===
xkeysw (1.1-1.2ubuntu1) hoary; urgency=low

  * Python transition (2.3 -> 2.4)
  * updated standards version (3.6.0 -> 3.6.1.1)

 -- Daniel Holbach <dh@mailempfang.de>  Tue, 15 Feb 2005 12:56:27 +0100
