=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dima Barsky <dima@debian.org>
 Build-Depends: debhelper (>= 4), automake1.7, m4 (>> 1.4), autoconf (>>2.50), xlibs-dev, flex, bison, autotools-dev
-Standards-Version: 3.6.0
+Standards-Version: 3.6.1.1
 
 Package: xkeysw
 Architecture: any
@@ -21,7 +21,7 @@
 
 Package: xkeysw-config
 Architecture: any
-Depends: python (>= 2.3), python (<< 2.4), python-gtk-1.2, python-glade-1.2 (>= 0.6.9), python-xlib
+Depends: python (>= 2.4), python (<< 2.5), python-gtk-1.2, python-glade-1.2 (>= 0.6.9), python-xlib
 Recommends: xkeysw
 Description: xkeysw configurator
  A GUI tool to generate and edit the configuration file for xkeysw,
