## xkeysw 1.1-1.3ubuntu1

=== debian/changelog ===
xkeysw (1.1-1.3ubuntu1) edgy; urgency=low

  * Merge from debian unstable.

 -- William Alexander Grant <william.grant@ubuntu.com.au>  Mon, 17 Jul 2006 18:58:33 +1000

xkeysw (1.1-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #346821).

 -- Luk Claes <luk@debian.org>  Fri, 20 Jan 2006 23:10:44 +0100
