=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Dima Barsky <dima@debian.org>
-Build-Depends: debhelper (>= 4), automake1.7, m4 (>> 1.4), autoconf (>>2.50), xlibs-dev, flex, bison, autotools-dev
+Build-Depends: debhelper (>= 4), automake1.7, m4 (>> 1.4), autoconf (>>2.50), libx11-dev, x-dev, flex, bison, autotools-dev
 Standards-Version: 3.6.1.1
 
 Package: xkeysw
